<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="45349639-4aab-4716-bf2d-2bfe33ff74d6" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/config.py" beforeDir="false" afterPath="$PROJECT_DIR$/config.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/migrations/README" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/migrations/alembic.ini" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/migrations/env.py" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/migrations/script.py.mako" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/migrations/versions/2697f990fc4b_user_table.py" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/quora.db" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/quora/__init__.py" beforeDir="false" afterPath="$PROJECT_DIR$/quora/__init__.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/quora/forms.py" beforeDir="false" afterPath="$PROJECT_DIR$/quora/forms.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/quora/models.py" beforeDir="false" afterPath="$PROJECT_DIR$/quora/models.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/quora/routes.py" beforeDir="false" afterPath="$PROJECT_DIR$/quora/routes.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/quora/templates/base.html" beforeDir="false" afterPath="$PROJECT_DIR$/quora/templates/base.html" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/quora/templates/viewcomment.html" beforeDir="false" afterPath="$PROJECT_DIR$/quora/templates/viewcomment.html" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/requirements.txt" beforeDir="false" afterPath="$PROJECT_DIR$/requirements.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/venv/bin/activate" beforeDir="false" afterPath="$PROJECT_DIR$/venv/bin/activate" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/venv/bin/activate.csh" beforeDir="false" afterPath="$PROJECT_DIR$/venv/bin/activate.csh" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/venv/bin/activate.fish" beforeDir="false" afterPath="$PROJECT_DIR$/venv/bin/activate.fish" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/venv/pyvenv.cfg" beforeDir="false" afterPath="$PROJECT_DIR$/venv/pyvenv.cfg" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/quora/models.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-216">
              <caret line="41" column="4" selection-start-line="41" selection-start-column="4" selection-end-line="41" selection-end-column="4" />
              <folding>
                <element signature="e#0#29#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/quora/forms.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="13" selection-start-line="13" selection-end-line="13" />
              <folding>
                <element signature="e#0#31#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/quora/routes.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="279">
              <caret line="183" column="24" lean-forward="true" selection-start-line="183" selection-start-column="24" selection-end-line="183" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/quora/tasks.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="227">
              <caret line="17" column="16" lean-forward="true" selection-start-line="17" selection-start-column="16" selection-end-line="17" selection-end-column="16" />
              <folding>
                <element signature="e#0#25#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/quora/templates/base.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="319">
              <caret line="36" column="39" lean-forward="true" selection-start-line="36" selection-start-column="39" selection-end-line="36" selection-end-column="39" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>question.search</find>
      <find>page</find>
      <find>content</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/.flaskenv" />
        <option value="$PROJECT_DIR$/run.py" />
        <option value="$PROJECT_DIR$/quora/try.py" />
        <option value="$PROJECT_DIR$/quora/templates/login.html" />
        <option value="$PROJECT_DIR$/quora/templates/register.html" />
        <option value="$PROJECT_DIR$/quora/templates/postans.html" />
        <option value="$PROJECT_DIR$/quora/templates/postques.html" />
        <option value="$PROJECT_DIR$/config.py" />
        <option value="$PROJECT_DIR$/quora/templates/index.html" />
        <option value="$PROJECT_DIR$/quora/forms.py" />
        <option value="$PROJECT_DIR$/quora/models.py" />
        <option value="$PROJECT_DIR$/quora/search.py" />
        <option value="$PROJECT_DIR$/quora/templates/search.html" />
        <option value="$PROJECT_DIR$/quora/templates/viewcomment.html" />
        <option value="$PROJECT_DIR$/quora/__init__.py" />
        <option value="$PROJECT_DIR$/quora/routes.py" />
        <option value="$PROJECT_DIR$/quora/tasks.py" />
        <option value="$PROJECT_DIR$/quora/templates/base.html" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="127" />
    <option name="y" value="23" />
    <option name="width" value="1172" />
    <option name="height" value="772" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="12_aarthi_quora_flask_project" type="b2602c69:ProjectViewProjectNode" />
              <item name="12_aarthi_quora_flask_project" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="12_aarthi_quora_flask_project" type="b2602c69:ProjectViewProjectNode" />
              <item name="12_aarthi_quora_flask_project" type="462c0819:PsiDirectoryNode" />
              <item name="quora" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="12_aarthi_quora_flask_project" type="b2602c69:ProjectViewProjectNode" />
              <item name="12_aarthi_quora_flask_project" type="462c0819:PsiDirectoryNode" />
              <item name="quora" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="12_aarthi_quora_flask_project" type="b2602c69:ProjectViewProjectNode" />
              <item name="12_aarthi_quora_flask_project" type="462c0819:PsiDirectoryNode" />
              <item name="quora" type="462c0819:PsiDirectoryNode" />
              <item name="user_data" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="12_aarthi_quora_flask_project" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python.run">
    <configuration name="routes" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="12_aarthi_quora_flask_project" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/quora" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/quora/routes.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="run" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="12_aarthi_quora_flask_project" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/run.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="try" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="12_aarthi_quora_flask_project" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/quora" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/quora/try.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Python.run" />
        <item itemvalue="Python.try" />
        <item itemvalue="Python.routes" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="45349639-4aab-4716-bf2d-2bfe33ff74d6" name="Default Changelist" comment="" />
      <created>1548261615555</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1548261615555</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="127" y="23" width="1172" height="772" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.29180887" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="0" />
      <window_info anchor="bottom" id="Event Log" order="1" side_tool="true" />
      <window_info anchor="bottom" id="Python Console" order="2" />
      <window_info anchor="bottom" id="Message" order="3" />
      <window_info anchor="bottom" id="Find" order="4" weight="0.32952926" />
      <window_info anchor="bottom" id="Version Control" order="5" />
      <window_info anchor="bottom" id="Run" order="6" visible="true" weight="0.1911555" />
      <window_info anchor="bottom" id="Debug" order="7" weight="0.32902467" />
      <window_info anchor="bottom" id="Cvs" order="8" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="9" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="10" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/.flaskenv">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="13" selection-start-column="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/try.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="21" lean-forward="true" selection-start-line="7" selection-start-column="21" selection-end-line="7" selection-end-column="21" />
          <folding>
            <element signature="e#1664#1733#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/run.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" lean-forward="true" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/templates/register.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="393">
          <caret line="31" column="6" selection-start-line="31" selection-start-column="6" selection-end-line="31" selection-end-column="6" />
          <folding>
            <element signature="n#style#0;n#span#0;n#p#0;n#form#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#span#0;n#p#1;n#form#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#span#0;n#p#2;n#form#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="11" lean-forward="true" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/search.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="31" lean-forward="true" selection-start-line="4" selection-start-column="31" selection-end-line="4" selection-end-column="31" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/templates/search.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" column="8" selection-start-line="15" selection-start-column="8" selection-end-line="15" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/templates/login.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="23" selection-start-line="3" selection-start-column="23" selection-end-line="3" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/templates/postans.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="6" selection-start-line="13" selection-start-column="6" selection-end-line="13" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/templates/postques.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="6" selection-start-line="13" selection-start-column="6" selection-end-line="13" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/templates/viewcomment.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="23" selection-start-line="3" selection-start-column="23" selection-end-line="3" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/requirements.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="287">
          <caret line="24" column="20" selection-start-line="24" selection-start-column="20" selection-end-line="24" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/templates/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" column="14" lean-forward="true" selection-start-line="17" selection-start-column="14" selection-end-line="17" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="498">
          <caret line="35" selection-start-line="35" selection-end-line="35" />
          <folding>
            <element signature="e#0#23#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/forms.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="13" selection-start-line="13" selection-end-line="13" />
          <folding>
            <element signature="e#0#31#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/templates/base.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="319">
          <caret line="36" column="39" lean-forward="true" selection-start-line="36" selection-start-column="39" selection-end-line="36" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/models.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-216">
          <caret line="41" column="4" selection-start-line="41" selection-start-column="4" selection-end-line="41" selection-end-column="4" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/routes.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="279">
          <caret line="183" column="24" lean-forward="true" selection-start-line="183" selection-start-column="24" selection-end-line="183" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/quora/tasks.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="227">
          <caret line="17" column="16" lean-forward="true" selection-start-line="17" selection-start-column="16" selection-end-line="17" selection-end-column="16" />
          <folding>
            <element signature="e#0#25#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>